.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)getpw.3	8.1 (Berkeley) 6/4/93
.\"
.Dd June 4, 1993
.Dt GETPW 3
.Os
.Sh NAME
.Nm getpw
.Nd get name from uid
.Sh SYNOPSIS
.Fd #include <sys/types.h>
.Ft int
.Fn getpw "uid_t uid" "char *buf"
.Sh DESCRIPTION
.Bf -symbolic
The getpw function is made obsolete by getpwuid(3).
.br
It is available from the compatibility library, libcompat.
.Ef
.Pp
The
.Fn getpw
function reads the file
.Pa /etc/passwd ,
and if it finds
the specified
.Fa uid ,
copies the password entry line into the string pointed to by
.Fa buf .
the null terminated entry line from the password database,
and appends the
.Dv NUL
character.
.Sh RETURN VALUES
The
.Fn getpw
function returns the zero if successful, otherwise 
a non-zero if the entry does not exist.
.Sh FILES
.Bl -tag -width /etc/passwd - compact
.It Pa /etc/passwd
.El
.Sh SEE ALSO
.Xr getpwent 3 ,
.Xr passwd 5
.Sh HISTORY
A
.Fn getpw
function appeared in
.At v6 .
.Sh BUGS
The area pointed to by
.Fa buf
must be large enough to hold the user name.

All of the bugs from
.Xr getpwent 3
hold valid as well.
